<?php




define('_IN_JOHNCMS', 1);
$headmod = 'manager';
$textl='Список игроков'; require_once("../incfiles/core.php");
require_once("manfunc.php"); require_once("../incfiles/head.php");
if($club_id && !$id)$id=$club_id;
$qt=mysql_query("select * from fman_clubs where id=$id;");
$tdata=mysql_fetch_array($qt);
$pid=$_GET[pid];
if($pid){$qp=mysql_query("select * from fman_players where id=$pid;");
$pdata=mysql_fetch_array($qp);}
switch($act){
default:
$q=mysql_query("select * from fman_players where team_id=$id order by ampl;");
echo"<h2 align='center'>Список игроков клуба $tdata[name]</h2>";
while($a=mysql_fetch_array($q)){

echo"<div class='menu'><a href='player.php?id=$a[id]'>$a[name]</a>"; if($a[trans])echo" <span class='red'>[на трансфере]</span>"; echo strtr($a[ampl],array(10=>'(Н)',1=>'(В)',2=>'(ЛЗ)',3=>'(ЦЗ)',4=>'(ПЗ)',5=>'(ОП)',6=>'(ЛП)',7=>'(ЦП)',8=>'(ПП)',9=>'(АП)'))."<div class='sub'>
опыт $a[ball], форма ($a[forma]/10), уст ($a[ust]/10), наст ($a[nast]/10), травма $a[travm]<br/>талант ($a[rait]/20), скор ($a[u]/20), вынос ($a[vyn]/20), дриб ($a[drib]/20), пас ($a[pas]/20), иг.голов ($a[ig]/20), отбор ($a[otb]/20), прием ($a[priem]/20), сила.уд ($a[f]/20), точ.уд ($a[toch]/20), врат ($a[gk]/20)</div></div>";}
if(mysql_num_rows($q))echo"<div class='bmenu'>Всего игроков: <b>".mysql_num_rows($q)."</b></div>"; else echo"<div class='menu'>Состав команды будет обновлён в течении 1-2 дней после её регистрации.</div>";
break;
case 'uvol':
if($pdata[trans])$e="Ошибка! Запрещено увольнять игрока, если он стоит на трансфере.";

if(count_players($id)<19)$e="Ошибка! Нельзя увольнять игроков, если в составе меньше 19 футболистов!";
if($e)echo"<div class='rmenu'>$e</div>";
if($club_id==$id && $pid && !$e){
if($dataclub[uvol_count]<1){
echo"<h2 align='center'>Увольнение игрока</h2>";
if(!$_GET[yes]){
echo"<div class='menu'>Вы уверены в увольнении футболиста <b>$pdata[name]</b>? Это решение будет окончательным и его нельзя будет отменить. Отступные при увольнении - $500 000<br/>
<a href='list-of-players.php?id=$id&amp;pid=$pid&amp;act=uvol&amp;yes=yes'>Уволить</a> | <a href='list-of-players.php?id=$id'>Отмена</a></div>";}else{
mysql_query("update `fman_players` set `team_id`='0', `trans`='1', `cena`='0', `zarplat`='0', `trans_time`='".(($realtime+259200)-date("s"))."' where `id`='$pid'");
$bu=$dataclub[budj]-500000;
$j1=$dataclub[uvol_count]+1;
mysql_query("update fman_clubs set budj=$bu, uvol_count=$j1 where id=$club_id");
zamena($tdata,$pdata);
mysql_query("insert into fman_news set time=$realtime, pl_id=$pdata[id], name='$pdata[name]', id1=$club_id, club_id=0");
$wtext='<a href="player.php?id='.$pid.'">'.$pdata[name].'</a> был уволен руководством клуба. Сумма отступных составила $500 000.';
mysql_query("insert into fman_news set time=$realtime, pl_id=0, club_id=$id, text='$wtext'");
echo"<div class='menu'>Вы уволили игрока <b>$pdata[name]</b> и выплатили ему в качестве компенсации $500 000</div>";}}else{
echo"<div class='menu'>В одну виртуальную неделю разрешено увольнять не более 1 футболиста!</div>";}}
break;
case 'trans':
 $gconf=mysql_fetch_array(mysql_query("SELECT * FROM `manager`"));
if($gconf[0]['open']!=1){
if($club_id==$id && $pid){
if($dataclub[trans_count]<2){
if(!isset($_POST[submit])){
echo"<div class='menu'><form action='list-of-players.php?id=$id&amp;pid=$pid&amp;act=trans' method='post'>

Выставляем на трансфер игрока <b>$pdata[name]</b><br/>

Цена: <input type='text' name='cena' value='0' size='6'/><br/>
<input type='submit' name='submit' value='OK'/></form></div>";}else{

if(!is_numeric($_POST[cena]) || $_POST[cena]<1)$_POST[cena]=0;
mysql_query("update `fman_players` set `trans`='1', `cena`='$_POST[cena]', `zarplat`='0', `trans_time`='".(($realtime+259200)-date("s"))."' where `id`='$pid'");
$j1=$dataclub[trans_count]+1;
mysql_query("update fman_clubs set trans_count=$j1 where id=$club_id");
echo"<div class='menu'>Игрок <b>$pdata[name]</b> выставлен на трансфер!</div>";}}else echo"<div class='menu'>В одну виртуальную неделю разрешено выставлять на трансфер не более 2 футболистов!</div>";}
}else{echo '<div class="msg">Трансфер закрыт администратором!</div>';};
break;

case 'atrans':
if($club_id==$id){
mysql_query("update `fman_players` set `trans`='0', `cena`='0' where `id`='$pid'");
echo"<div class='menu'>Игрок <b>$pdata[name]</b> снят с трансфера!</div>";
} break;}

if($pid)echo"<div class='phdr'><a href='list-of-players.php?id=$id'>К списку игроков</a></div>";
echo"<div class='phdr'><a href='club.php?id=$id'>$tdata[name]</a><br/>
<a href='index.php'>Фут.Менеджер</a></div>";
require_once("../incfiles/end.php"); ?>
